import request from '@/utils/request'

// 查询危废出入库统计日报列表
export function listDangerday(query) {
  return request({
    url: '/ehs/dangerday/list',
    method: 'get',
    params: query
  })
}

// 查询危废出入库统计日报详细
export function getDangerday(id) {
  return request({
    url: '/ehs/dangerday/' + id,
    method: 'get'
  })
}

// 新增危废出入库统计日报
export function addDangerday(data) {
  return request({
    url: '/ehs/dangerday',
    method: 'post',
    data: data
  })
}

// 修改危废出入库统计日报
export function updateDangerday(data) {
  return request({
    url: '/ehs/dangerday',
    method: 'put',
    data: data
  })
}

// 删除危废出入库统计日报
export function delDangerday(id) {
  return request({
    url: '/ehs/dangerday/' + id,
    method: 'delete'
  })
}

// 导出危废出入库统计日报
export function exportDangerday(query) {
  return request({
    url: '/ehs/dangerday/export',
    method: 'get',
    params: query
  })
}